QuantiCode games

Zero Ballistics, Full Metal Soccer

Skip to content

Linux beta errors

Post any problems related to the beta version of Zero Ballistics

Moderators: Michael, Bernhard, Christian

Linux beta errors

Postby venzon on 11 Apr 2008, 05:53

I get the following errors on startup:
./tank.x86: /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/libstdc++.so.6: version `CXXABI_1.3.1' not found (required by ./tank.x86)
./tank.x86: /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/libstdc++.so.6: version `GLIBCXX_3.4.5' not found (required by ./shared_libs/libosgDB.so.25)
./tank.x86: /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/libstdc++.so.6: version `CXXABI_1.3.1' not found (required by ./shared_libs/libCEGUIBase.so.1)

I have libstdc++ v3.3.6 and gcc version 3.4.6 on my system. I recommend checking out this article on gamedev:

http://www.gamedev.net/reference/progra ... gramming2/
venzon
 

Re: Linux beta errors

Postby Kano on 11 Apr 2008, 13:49

Well you need a newer glibc. Debian etch (or Kanotix) works for example.
Kano
 
Posts: 28
Joined: 10 Apr 2008, 15:06

Re: Linux beta errors

Postby Christian on 11 Apr 2008, 14:42

Hi!

Please download http://www.quanticode.com/zeroballistic ... tdc++.so.6 and put it into your shared_libs directory. If it doesn't work then, you'll have to switch to a newer glibc.
Please report back whether this changes anything.

regards
christian
Christian
Developer
 
Posts: 59
Joined: 29 Mar 2008, 17:21

Re: Linux beta errors

Postby venzon on 11 Apr 2008, 17:14

Okay, now just this error:

Code: Select all
./tank.x86: /usr/lib/gcc/i686-pc-linux-gnu/3.4.6/libgcc_s.so.1: version `GCC_4.2.0' not found (required by ./shared_libs/libstdc++.so.6)


That gamedev article recommends including libstdc++ with your distribution, but not libgcc_s, although we could always give it a shot.

Joe
venzon
 

Re: Linux beta errors

Postby Christian on 11 Apr 2008, 18:28

Hi!

http://www.quanticode.com/zeroballistic ... gcc_s.so.1

Now that I think about it, I think the linux version for enemy territory quake wars did distribute those two libs as well. Try it :-)

regards
christian
Christian
Developer
 
Posts: 59
Joined: 29 Mar 2008, 17:21

Re: Linux beta errors

Postby venzon on 12 Apr 2008, 17:07

Yep, that did it! Works great now. Thanks.

Joe
venzon
 


Return to Support

Who is online

Users browsing this forum: No registered users and 1 guest


cron